<?php
// +-----------------------------------------------------------------------+
// | Web services statistics - a PWG Plugin                                |
// | Copyright (C) 2007 Ruben ARNAUD - rub@phpwebgallery.net               |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

if (!defined('PHPWG_ROOT_PATH'))
{
  die('Hacking attempt!');
}

add_event_handler('ws_invoke_allowed', 'ws_stats_ws_invoke_allowed', 0 /* EVENT_HANDLER_PRIORITY_FIRST */, 3);

function ws_stats_ws_invoke_allowed($res, $methodName, $params)
{
  global $page;
  
  $page['section'] = 'web_services';
  if (isset($params['cat_id'][0]))
  {
    $page['category'] = @$params['cat_id'][0];
  }

  if (isset($params['image_id'][0]))
  {
    $image_id = @$params['image_id'][0];
  }
  else
  {
    $image_id = null;
  }

  pwg_log($image_id, 'other');
  return $res;
}


?>
